Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037553
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2017-12-27 13:432018-04-09 13:09
ReporterSandrahuguetView Statuspublic 
Assigned ToRetail 
PrioritynormalResolutionfixedFixed in VersionRR18Q2
StatusclosedFix in branchFixed in SCM revision40d4983c82a4
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037553: Characteristics smart buttons are not filtered by brands properly

DescriptionCharacteristics smart buttons are not filtered by brands properly

test failing in hgvol jobs:

http://ci.openbravo.com/view/retail/job/ret-higvol-pgsql/1108/testReport/junit/org.openbravo.test.mobile.retail.pack.selenium.tests.receipts/I34398_VerifyProductCharacteristicsValue/test/ [^]
Steps To Reproduce-Enable all high volumes preference
-Log in the WebPOS
-Tap on Search
-Tap on Battery Life button and filter by 120h max
-Tap on Brand and filter by Black Diamond
Notice that Range button is shown and it should not because it has no values

TagsNo tags attached.
Attached Filesdiff file icon 37553_mobilecore.diff [^] (927 bytes) 2017-12-27 15:52 [Show Content]
diff file icon 37553_posterminal.diff [^] (621 bytes) 2017-12-27 15:53 [Show Content]
diff file icon 37553_local.diff [^] (4,277 bytes) 2018-02-05 16:35 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034398 closedranjith_qualiantech_com Characteristics are not filtered correctly 
depends on backport 0038303RR18Q2.2 scheduledRetail Characteristics smart buttons are not filtered by brands properly 
related to defect 0038304 closedranjith_qualiantech_com Characteristics smart buttons are not filtered by brands properly 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0101272)
hgbot (developer)
2017-12-28 08:54

Repository: tools/automation/pi-mobile
Changeset: 463eb555c5dc41800302afcc328dfcddcbbc7cba
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Dec 28 08:46:02 2017 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/463eb555c5dc41800302afcc328dfcddcbbc7cba [^]

related to issue 37553 Remove temporarily from hgvol jobs

activate again isHighVolumeCompatible tag when issue will be fixed

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I34398_VerifyProductCharacteristicsValue.java
---
(0101549)
hgbot (developer)
2018-01-04 12:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c2a150356f41b4e6401386e386c2d98b0e7ec2f3
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Dec 28 10:16:35 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c2a150356f41b4e6401386e386c2d98b0e7ec2f3 [^]

related to bug 37553 Characteristics buttons are not filtered by brands

---
M src/org/openbravo/retail/posterminal/PCharacteristicHQLCriteria.java
---
(0101550)
hgbot (developer)
2018-01-04 12:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f50142e782b059939773e39f8a7ec3447117f86f
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Jan 04 08:11:44 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f50142e782b059939773e39f8a7ec3447117f86f [^]

related to issue 37553 update copyright

---
M src/org/openbravo/retail/posterminal/PCharacteristicHQLCriteria.java
---
(0101551)
hgbot (developer)
2018-01-04 12:16

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 40d4983c82a4a3c134b2170e9375857f06d716f2
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Dec 28 10:15:46 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/40d4983c82a4a3c134b2170e9375857f06d716f2 [^]

Fixed bug 37553 Characteristics buttons are not filtered by brands

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
---
(0101552)
hgbot (developer)
2018-01-04 12:16

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 62491ea7f6b78fe0adbb978fe8f4f4f2d774396f
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Jan 04 08:12:40 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/62491ea7f6b78fe0adbb978fe8f4f4f2d774396f [^]

related to issue 37553 update copyright

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
---
(0101553)
hgbot (developer)
2018-01-04 12:45

Repository: tools/automation/pi-mobile
Changeset: deded9b5c712ea0208b3f212dcb24c8af4e4728f
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Jan 04 12:44:53 2018 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/deded9b5c712ea0208b3f212dcb24c8af4e4728f [^]

related to issue 37553 activate isHighVolumeCompatible tag

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I34398_VerifyProductCharacteristicsValue.java
---
(0101645)
hgbot (developer)
2018-01-10 09:12

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c9682c3e6bd619dc8418d47887eed06a70f80c7e
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Jan 08 18:16:28 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c9682c3e6bd619dc8418d47887eed06a70f80c7e [^]

related to issue 37553 fixed order of query

---
M src/org/openbravo/retail/posterminal/PCharacteristicHQLCriteria.java
---
(0102186)
marvintm (developer)
2018-02-05 13:39

Fix works correctly in remote mode. Now we need to do the same fix in local mode.
(0102198)
Sandrahuguet (developer)
2018-02-05 16:35

Attached proposed solution in local mode (37553_local.diff)

- Issue History
Date Modified Username Field Change
2017-12-27 13:43 Sandrahuguet New Issue
2017-12-27 13:43 Sandrahuguet Assigned To => Retail
2017-12-27 13:43 Sandrahuguet Triggers an Emergency Pack => No
2017-12-27 15:52 Sandrahuguet File Added: 37553_mobilecore.diff
2017-12-27 15:53 Sandrahuguet File Added: 37553_posterminal.diff
2017-12-28 08:54 hgbot Checkin
2017-12-28 08:54 hgbot Note Added: 0101272
2017-12-28 13:07 Sandrahuguet Assigned To Retail => Sandrahuguet
2017-12-28 13:07 Sandrahuguet Status new => scheduled
2018-01-04 12:15 hgbot Checkin
2018-01-04 12:15 hgbot Note Added: 0101549
2018-01-04 12:15 hgbot Checkin
2018-01-04 12:15 hgbot Note Added: 0101550
2018-01-04 12:16 hgbot Checkin
2018-01-04 12:16 hgbot Note Added: 0101551
2018-01-04 12:16 hgbot Status scheduled => resolved
2018-01-04 12:16 hgbot Resolution open => fixed
2018-01-04 12:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/40d4983c82a4a3c134b2170e9375857f06d716f2 [^]
2018-01-04 12:16 hgbot Checkin
2018-01-04 12:16 hgbot Note Added: 0101552
2018-01-04 12:45 hgbot Checkin
2018-01-04 12:45 hgbot Note Added: 0101553
2018-01-08 12:15 Sandrahuguet Review Assigned To => marvintm
2018-01-08 18:15 Sandrahuguet Relationship added related to 0034398
2018-01-10 09:12 hgbot Checkin
2018-01-10 09:12 hgbot Note Added: 0101645
2018-02-05 13:39 marvintm Note Added: 0102186
2018-02-05 13:39 marvintm Status resolved => new
2018-02-05 13:39 marvintm Resolution fixed => open
2018-02-05 16:35 Sandrahuguet File Added: 37553_local.diff
2018-02-05 16:35 Sandrahuguet Note Added: 0102198
2018-04-03 17:14 Sandrahuguet Assigned To Sandrahuguet => Retail
2018-04-09 13:09 marvintm Status new => scheduled
2018-04-09 13:09 marvintm Status scheduled => resolved
2018-04-09 13:09 marvintm Fixed in Version => RR18Q2
2018-04-09 13:09 marvintm Resolution open => fixed
2018-04-09 13:09 marvintm Status resolved => closed
2018-04-09 13:11 marvintm Relationship added related to 0038304


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker